/*
 * TEMPO - Topographic Eeg Mapping PrOgram.
 * 
 * Copyright (C) 1995, 1996, 2003, 2004 Aleksandar B. Samardzic
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59
 * Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef fft_h
#define fft_h

/*
 * Calculate Fourier transform of vector of complex numbers using FFT
 * algorithm.  Input vector length is 2^p and real and imaginary components
 * of input vector are in_re and in_im.  Real and imaginary components of
 * output vector are out_re and out_im.  Value of p should be between 1 and
 * 15.
 */
void            fft(int p, float *in_re, float *in_im, float *out_re, float *out_im);

#endif
