/*
 * TEMPO - Topographic Eeg Mapping PrOgram.
 * 
 * Copyright (C) 1995, 1996, 2003, 2004 Aleksandar B. Samardzic
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59
 * Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef sensors_h
#define sensors_h

#include "vector.h"

/* Sensors object data type. */
typedef struct {
	int             count;	/* Number of sensors. */
	char          **names;	/* Array with sensor names. */
	Vector         *points;	/* Array with sensor coordinates. */
}               Sensors;

/* Create sensors object.  Argument is filename to read sensors from. */
Sensors        *sensors_create(char *name);

/* Destroy sensors object. */
void            sensors_destroy(Sensors * sensors);

#endif
